[gentoo-commits] repo/proj/guru:dev commit in: dev-python/PyWavefront/

2024-03-12 Thread Henri Gasc
commit: 3fcbbad074a82f087af5e6e7eecefda8c28ebf16
Author: Henri Gasc  eurecom  fr>
AuthorDate: Tue Mar 12 17:21:15 2024 +
Commit: Henri Gasc  eurecom  fr>
CommitDate: Tue Mar 12 17:25:11 2024 +
URL:https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=3fcbbad0

dev-python/PyWavefront: Add python3.12

Signed-off-by: Henri Gasc  eurecom.fr>

 ...nt-1.3.3.ebuild => PyWavefront-1.3.3-r1.ebuild} | 24 ++
 1 file changed, 6 insertions(+), 18 deletions(-)

diff --git a/dev-python/PyWavefront/PyWavefront-1.3.3.ebuild 
b/dev-python/PyWavefront/PyWavefront-1.3.3-r1.ebuild
similarity index 56%
rename from dev-python/PyWavefront/PyWavefront-1.3.3.ebuild
rename to dev-python/PyWavefront/PyWavefront-1.3.3-r1.ebuild
index ccbe0ef687..168632f97c 100644
--- a/dev-python/PyWavefront/PyWavefront-1.3.3.ebuild
+++ b/dev-python/PyWavefront/PyWavefront-1.3.3-r1.ebuild
@@ -1,12 +1,12 @@
-# Copyright 2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_COMPAT=( python3_{10..12} )
 
-inherit distutils-r1
+inherit distutils-r1 virtualx
 
 DESCRIPTION="Python library for importing Wavefront .obj files"
 HOMEPAGE="https://github.com/pywavefront/PyWavefront 
https://pypi.org/project/PyWavefront;
@@ -15,27 +15,15 @@ 
SRC_URI="https://github.com/pywavefront/PyWavefront/archive/refs/tags/${PV}.tar.
 LICENSE="MIT"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
 
-RDEPEND=""
 BDEPEND="
-   dev-python/setuptools[${PYTHON_USEDEP}]
-   dev-python/wheel[${PYTHON_USEDEP}]
test? (
-   dev-python/pytest[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
 )
 "
 DEPEND="${BDEPEND}"
 
 distutils_enable_tests pytest
-
-# src_test() {
-#  virtx distutils-r1_src_test
-# }
-# python_test() {
-#  rm "${S}/tests/test_local.py"
-#  cd "${T}" || die
-#  epytest "${S}"/tests
-# }
+src_test() {
+   virtx distutils-r1_src_test
+}



[gentoo-commits] repo/proj/guru:dev commit in: dev-python/PyWavefront/

2023-02-06 Thread Henri Gasc
commit: 4dfd0b969d03f4af5fa7956a0f9e1cc8e4a0068a
Author: Henri Gasc  eurecom  fr>
AuthorDate: Mon Feb  6 18:19:30 2023 +
Commit: Henri Gasc  eurecom  fr>
CommitDate: Mon Feb  6 18:40:26 2023 +
URL:https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=4dfd0b96

dev-python/PyWavefront: new package, add 1.3.3

Signed-off-by: Henri Gasc  eurecom.fr>

 dev-python/PyWavefront/Manifest |  1 +
 dev-python/PyWavefront/PyWavefront-1.3.3.ebuild | 41 +
 dev-python/PyWavefront/metadata.xml | 12 
 3 files changed, 54 insertions(+)

diff --git a/dev-python/PyWavefront/Manifest b/dev-python/PyWavefront/Manifest
new file mode 100644
index 0..ceec33ced
--- /dev/null
+++ b/dev-python/PyWavefront/Manifest
@@ -0,0 +1 @@
+DIST v1.3.3.gh.tar.gz 3531475 BLAKE2B 
4c6493ce5df9767a4ae69ff70c9ac18fcefc8039498c90d66aa493657cb190a58b6e7ab24cb469be1e0d16098c4e4b29a397a003281bcc742cc9d4d711db8c8c
 SHA512 
9d78282dc626bbb9f20c45d4a0a1911e8dd1f11c3e8c50e3637ed33e976c253e4dd9c5faee29bbad5edf241877b2df4d25f77fd3bcc6dd438b7e46c8d821918d

diff --git a/dev-python/PyWavefront/PyWavefront-1.3.3.ebuild 
b/dev-python/PyWavefront/PyWavefront-1.3.3.ebuild
new file mode 100644
index 0..ccbe0ef68
--- /dev/null
+++ b/dev-python/PyWavefront/PyWavefront-1.3.3.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for importing Wavefront .obj files"
+HOMEPAGE="https://github.com/pywavefront/PyWavefront 
https://pypi.org/project/PyWavefront;
+SRC_URI="https://github.com/pywavefront/PyWavefront/archive/refs/tags/${PV}.tar.gz
 -> v${PV}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND=""
+BDEPEND="
+   dev-python/setuptools[${PYTHON_USEDEP}]
+   dev-python/wheel[${PYTHON_USEDEP}]
+   test? (
+   dev-python/pytest[${PYTHON_USEDEP}]
+   dev-python/mock[${PYTHON_USEDEP}]
+)
+"
+DEPEND="${BDEPEND}"
+
+distutils_enable_tests pytest
+
+# src_test() {
+#  virtx distutils-r1_src_test
+# }
+# python_test() {
+#  rm "${S}/tests/test_local.py"
+#  cd "${T}" || die
+#  epytest "${S}"/tests
+# }

diff --git a/dev-python/PyWavefront/metadata.xml 
b/dev-python/PyWavefront/metadata.xml
new file mode 100644
index 0..90a5c1476
--- /dev/null
+++ b/dev-python/PyWavefront/metadata.xml
@@ -0,0 +1,12 @@
+
+https://www.gentoo.org/dtd/metadata.dtd'>
+
+   
+   g...@eurecom.fr
+   Gasc Henri
+   
+   
+   PyWavefront
+   pywavefront/PyWavefront
+   
+